%{?scl:%scl_package python-translationstring}
%{!?scl:%global pkg_name %{name}}

%global modname translationstring

Name:           %{?scl_prefix}python-translationstring
Version:        1.1
Release:        10%{?dist}
Summary:        Utility library for i18n relied on by various Repoze packages

Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/translationstring
Source0:        http://pypi.python.org/packages/source/t/translationstring/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}

%description
A library used by various `Repoze <http://repoze.org>`_ packages for
internationalization (i18n) duties related to translation.

This package provides a *translation string* class, a *translation string
factory* class, translation and pluralization primitives, and a utility that
helps `Chameleon <http://chameleon.repoze.org>`_ templates use translation
facilities of this package.  It does not depend on `Babel
<http://babel.edgewall.org>`_, but its translation and pluralization services
are meant to work best when provided with an instance of the
``babel.support.Translations`` class.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg info if it exists.
rm -rf %{modname}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{?scl:EOF}

%check
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py test
%{?scl:EOF}

%files
%doc README.txt LICENSE.txt
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*.egg-info

%changelog
* Mon Oct 27 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.1-10
- Rebuilt for SCL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.1-7
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 1.1-4
- Looks like python3-babel isn't actually required.  Removed req.
- Enabled python3-translationstring subpackage.

* Fri Dec 07 2012 Ralph Bean <rbean@redhat.com> - 1.1-3
- Laid groundwork for packaging python3 support.  Waiting on python3-babel.
- Removed unnecessary defattr.
- Removed unnecessary removal of the buildroot.
- Removed unnecessary clean section.
- Removed bundled egg-info.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Luke Macken <lmacken@redhat.com> - 1.1-1
- Bump to version 1.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 0.3-1
- Initial package
